# Uses of Interface
org.eclipse.ui.contexts.IContext

Packages that use IContext
Package
Description
org.eclipse.ui.contexts
Provides support for integrating contexts into the Eclipse workbench.

## Uses of IContext in org.eclipse.ui.contexts

Methods in org.eclipse.ui.contexts that return IContext
Modifier and Type
Method
Description
`IContext`
ContextEvent.`getContext()`
Deprecated.
Returns the instance of the interface that changed.
`IContext`
IContextManager.`getContext(String contextId)`
Deprecated.
Returns an instance of `IContext` given an identifier.
Constructors in org.eclipse.ui.contexts with parameters of type IContext
Modifier
Constructor
Description
``
`ContextEvent(IContext context, boolean definedChanged, boolean enabledChanged, boolean nameChanged, boolean parentIdChanged)`
Deprecated.
Creates a new instance of this class.